## visad.data.netcdf
Class FileDialogPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  visad.data.netcdf.FileDialogPanel

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, Serializable

public class FileDialogPanel
extends Panel

A non-Window equivalent of FileDialog.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Panel
`Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FileDialogPanel(String filter, String initialPathname)` Construct.

Method Summary
`protected void` `addButton(Panel panel, Button button)` Add a button to a panel.
`protected void` `addComponent(Component component, int gridx, int gridy, int fill)` Add a component.
`String` `getFile()` Gets the pathname.
`static void` `main(String[] args)` Test this class.
`protected Component` `newButtonsComponent()` Return a buttons component.
`protected Component` `newFileComponent(String initialPathname)` Return a file component.
`protected Component` `newFilesListComponent()` Return a files list component.
`protected Component` `newFilterComponent(String pattern)` Return a filter component.
`protected Component` `newFolderComponent()` Return a folder component.
`protected Component` `newFoldersListComponent()` Return a folders list component.
`protected Component` `newLabeledComponent(String title, Component component)` Return a labeled component.
`protected Component` `newListComponent(String title, String[] items)` Return a list component.
`protected Component` `newTextComponent(String title, String initialText)` Return a text component (label and text field).
`void` `setFile(String pathname)` Sets the pathname.

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileDialogPanel

    public FileDialogPanel(String filter,
                           String initialPathname)

  Construct.

Method Detail

### addComponent

    protected void addComponent(Component component,
                                int gridx,
                                int gridy,
                                int fill)

  Add a component.

### newFolderComponent

    protected Component newFolderComponent()

  Return a folder component.

### newFilterComponent

    protected Component newFilterComponent(String pattern)

  Return a filter component.

### newFilesListComponent

    protected Component newFilesListComponent()

  Return a files list component.

### newFoldersListComponent

    protected Component newFoldersListComponent()

  Return a folders list component.

### newFileComponent

    protected Component newFileComponent(String initialPathname)

  Return a file component.

### newButtonsComponent

    protected Component newButtonsComponent()

  Return a buttons component.

### addButton

    protected void addButton(Panel panel,
                             Button button)

  Add a button to a panel.

### newListComponent

    protected Component newListComponent(String title,
                                         String[] items)

  Return a list component.

### newTextComponent

    protected Component newTextComponent(String title,
                                         String initialText)

  Return a text component (label and text field).

### newLabeledComponent

    protected Component newLabeledComponent(String title,
                                            Component component)

  Return a labeled component.

### getFile

    public String getFile()

  Gets the pathname.

### setFile

    public void setFile(String pathname)

  Sets the pathname.

### main

    public static void main(String[] args)

  Test this class.